# Generated from activesambaldap-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name activesambaldap

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: ActiveSambaLdap is a library and a management tool for Samba + LDAP environment
License: LGPLv2.1 or later
URL: http://github.com/activeldap/activesambaldap
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(test-unit-notify)
BuildArch: noarch

%description
ActiveSambaLdap provides object-oriented API to manipulate
LDAP entry for Samba. ActiveSambaLdap also provides
command-line tools to replace smbldap-tools written by Perl.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/NEWS.en
%{gem_instdir}/NEWS.ja
%{gem_instdir}/bin
%{gem_libdir}
%license %{gem_instdir}/license
%{gem_instdir}/misc
%{gem_instdir}/po
%{gem_instdir}/rails
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.en
%doc %{gem_instdir}/README.ja
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.0-1
- Initial package
